package org.websparrow.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;
import org.websparrow.configuration.StudentConfig;
import org.websparrow.model.Student;

@RestController
public class StudentController {

	@Autowired
	private StudentConfig studentConfig;

	@GetMapping("/student")
	public Student getStudent() {
		return new Student(studentConfig.getRecords());
	}
}
